"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const style_1 = __importDefault(require("./style"));
const ActionSheet_1 = __importDefault(require("../ActionSheet"));
const IconButton_1 = __importDefault(require("../IconButton"));
const Confirm_1 = __importDefault(require("../Confirm"));
const Camera_1 = __importDefault(require("../Camera"));
const UploadImages = ({ images = [], maxLen, onChange, }) => {
    const onDelete = (index) => {
        (0, Confirm_1.default)({
            message: '确定删除该图片吗？',
            scrollView: false,
            textAlign: 'center',
            onSubmit: () => {
                const imgs = images.filter((v, k) => {
                    if (k !== index)
                        return v;
                });
                onChange === null || onChange === void 0 ? void 0 : onChange(imgs);
            }
        });
    };
    const onUpload = () => {
        (0, ActionSheet_1.default)({
            title: '图片上传',
            actions: [
                {
                    title: '拍照',
                    onClick: () => {
                        (0, Camera_1.default)({
                            onSubmit: (res) => {
                                onSubmit(res);
                            }
                        });
                    }
                },
                {
                    title: '从手机相册选择',
                    onClick: () => {
                    }
                }
            ]
        });
    };
    const onSubmit = (res) => {
        console.log('updateload', res);
    };
    return (react_1.default.createElement(react_native_1.View, { style: style_1.default.container }, images === null || images === void 0 ? void 0 :
        images.map((v, k) => {
            return (react_1.default.createElement(react_native_1.View, { key: `img_${k}`, style: style_1.default.imagesItem },
                react_1.default.createElement(react_native_1.Image, { style: style_1.default.imagesUrl, source: { uri: v } }),
                react_1.default.createElement(IconButton_1.default, { name: 'close', size: 14, color: '#fff', styleContainer: style_1.default.imagesDel, onPress: () => {
                        onDelete(k);
                    } })));
        }),
        react_1.default.createElement(react_native_1.View, { style: style_1.default.upload },
            react_1.default.createElement(IconButton_1.default, { name: 'add', size: 50, color: '#333', styleContainer: style_1.default.uploadBtn, onPress: onUpload }))));
};
exports.default = UploadImages;
